package com.ff.base.enums;

import lombok.Getter;

/**
 * 窗户类型
 *
 * @author shi
 * @date 2024/11/21
 */
@Getter
public enum WindowType {
    EVERY_LOGIN(1L, "每次登录"),
    DAILY_ONCE(2L, "每日一次"),
    EVERY_LOBBY_ENTRY(3L, "每回大厅必弹(少用)"),
    ONCE_ONLY(4L, "只弹一次");

    private final Long code;
    private final String description;

    WindowType(Long code, String description) {
        this.code = code;
        this.description = description;
    }
}
